For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all events
        • GETGet an event by ID
        • GETGet all event types
        • GETGet event type by ID
        • GETGet all event sub types
        • GETGet event sub type by ID
        • GETGet all event results
        • GETGet event result by ID
        • POSTCreate Applicant Event: Entrata
        • POSTCreate Lead Event: Entrata
        • POSTCreate Resident Event: Entrata
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataEvents

Create Lead Event: Entrata

POST
/v1/events/leads/entrata/
POST
/v1/events/leads/entrata/
$curl -X POST https://api.propexo.com/v1/events/leads/entrata/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-987654321",
> "lead_id": "lead-123456789",
> "event_type_id": "evt-appointment",
> "event_datetime": "2024-01-15T09:30:00-07:00"
>}'
1{
2 "meta": {
3 "job_id": "job-20240115-0001"
4 },
5 "result": {
6 "integration_id": "intg-987654321",
7 "lead_id": "lead-123456789",
8 "event_type_id": "evt-appointment",
9 "event_result_id": "res-confirmed",
10 "event_sub_type_id": "subtype-initial",
11 "employee_id": "emp-456789123",
12 "unit_id": "unit-101",
13 "event_datetime": "2024-01-15T09:30:00-07:00",
14 "reasons_for_event": "Initial apartment viewing scheduled",
15 "notes": "Client requested a morning appointment",
16 "appointment_datetime": "2024-01-15T09:30:00-07:00",
17 "time_from": "09:30:00",
18 "time_to": "10:00:00",
19 "title": "Apartment Viewing",
20 "call_phone_number_from": "+14035551234",
21 "call_phone_number_to": "+14035559876",
22 "call_status": "ANSWER",
23 "call_duration": 300,
24 "call_audio_link": "https://recordings.example.com/call12345.mp3",
25 "email_body": "Dear Applicant, your appointment is confirmed for January 15th at 9:30 AM.",
26 "email_subject": "Appointment Confirmation",
27 "email_from": "leasing@apartments.com",
28 "email_to": "applicant@example.com",
29 "email_cc": "manager@apartments.com",
30 "email_bcc": "audit@apartments.com",
31 "email_send": true
32 }
33}
Create an event for an applicant in Entrata. Entrata expects all times to be in Mountain Time (UTC-7:00 or UTC-6:00 depending on daylight savings). Times will be automatically converted based on the local time of the property when an end user views the event time in the browser. | Method | |---| | leads/updateLeads | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Create Resident Event: Entrata

Next
Built with

Create an event for an applicant in Entrata. Entrata expects all times to be in Mountain Time (UTC-7:00 or UTC-6:00 depending on daylight savings). Times will be automatically converted based on the local time of the property when an end user views the event time in the browser.

Method
leads/updateLeads
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lead_idstringRequired
The Propexo unique identifier for the lead
event_type_idstringRequired
The Propexo unique identifier for the event type. Not all event types are currently supported. Contact Propexo support if there's an event type you'd like supported.
event_datetimestringRequiredformat: "date-time"
The date when the event will occur
event_result_idstringOptional
The Propexo unique identifier for the event result
event_sub_type_idstringOptional
The Propexo unique identifier for the event sub type
employee_idstringOptional
The Propexo unique identifier for the employee
unit_idstringOptional
The Propexo unique identifier for the unit
reasons_for_eventstringOptional
The reasons for the event
notesstringOptional
Notes associated with the event
appointment_datetimestringOptionalformat: "date-time"
The date when the appointment will occur
time_fromstringOptional
time_tostringOptional
titlestringOptional
The title associated with the event
call_phone_number_fromstringOptional
The phone number that the call was made from. Required for call event types.
call_phone_number_tostringOptional
The phone number that the call was received on. Required for call event types.
call_statusenumOptional
The status of the call. Required for call event types.
call_durationintegerOptional0-86400
The duration of the call in seconds. Required for call event types.
call_audio_linkstringOptionalformat: "uri"
The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.
email_bodystringOptional
The body of the email.
email_subjectstringOptional
The subject of the email.
email_fromstringOptional
The email address that the email was sent from. Required for email outgoing event types.
email_tostringOptional
The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address
email_ccstringOptional
The carbon copy email address that the email was sent to.
email_bccstringOptional
The blind carbon copy email address that the email was sent to.
email_sendbooleanOptional
Whether the email should be sent.

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error